<template>
    <div id="org-switcher">
        <div class="org-switcher-content">
            <Icon icon='organization' color="C-737278" />
            <p class="switchto-item-label">Organizations</p>
        </div>
        <Icon icon='chevron-right' color="C-737278" />
        <div id="org-switcher-flyout">
            <div id="org-switcher-list">
                <p class="switchsection-label">CURRENT ORGANIZATION</p>
                <SwitcherItem v-for="item in orglist.current"
                    :label=item.nav.title
                    :icon=item.nav.icon
                    :url=item.nav.url
                    :section=item.section
                />
                <div class="v8pad"></div>
                <p class="switchsection-label">YOUR ORGANIZATIONs</p>
                <SwitcherItem v-for="item in orglist.list"
                    :label=item.nav.title
                    :icon=item.nav.icon
                    :url=item.nav.url
                    :section=item.section
                />
            </div>
        </div>
    </div>
</template>

<script setup>
import { useMainStore } from '~~/stores/main';
import { storeToRefs } from 'pinia';

const main = useMainStore();
const { section } = storeToRefs(main);
const { data: orgdata } = await useAsyncData('org', () => queryContent(`/comp/org`).findOne())

const orglist = computed(() => {
    let content = {
        current: {},
        list: {}
    };
    try {
        let matter = orgdata.value.orgs;
        for (const [key, value] of Object.entries(matter)) {
            if (matter[key].section.org === section.value.org) {
                content.current[key] = matter[key]
            }else {
                content.list[key] = matter[key]
            }
        }
    } catch (error) {
        console.log("Org switcher error", section.org);
    }
    return content
});

</script>

<style>
#org-switcher {
    display: flex;
    align-items: center;
    height: 32px;
    padding: 0 16px 0 12px;
    font-size: 14px;
    line-height: 16px;
    color: #333238;
}

#org-switcher:hover {
    background-color: #ECECEF;
}

.org-switcher-content {
    display: flex;
    align-items: center;
    gap: 8px;
    flex-grow: 1;
}

#org-switcher-flyout {
    display: none;
    position: absolute;
    top: 264px;
    left: 200px;
    padding: 0 0 0 48px;
}

#org-switcher:hover #org-switcher-flyout {
    display: block;
}

#org-switcher-list {
    width: 256px;
    margin: 0 0 0 12px;
    padding: 16px 16px 16px 16px;
    background-color: #FBFAFD;
    border: 1px solid rgba(0, 0, 0, .08);
    border-top-right-radius: 8px;
    border-bottom-right-radius: 8px;
    box-shadow: 0 2px 2px rgba(0, 0, 0, .16);
    box-shadow: 0 2px 8px rgba(0, 0, 0, .16);
}

.v8pad {
    height: 8px;
}

</style>
